# Prolysis: Process Mining and Analysis

[![PyPI](https://img.shields.io/pypi/v/prolysis)](https://pypi.org/project/prolysis/)  
[![License: CC BY-NC 4.0](https://img.shields.io/badge/License-CC%20BY--NC%204.0-lightgrey.svg)](https://creativecommons.org/licenses/by-nc/4.0/)

Prolysis is a Python package for **process mining and analysis**, designed to help researchers and practitioners discover, analyze, and compare business processes from event logs.

## Features
- **Process Discovery**: Extract process models from event logs.
- **Process Variants Analysis**: Identify and analyze different process execution paths.
- **Visualization**: Graph-based representations of process flows.
- **Compatibility with PM4Py**: Integrates with existing process mining frameworks.

---

## Installation
### Install from PyPI (Stable Release)
```bash
pip install prolysis
```

---
## License
Prolysis is licensed under the CC BY-NC 4.0 License, meaning it is free for non-commercial use. Commercial usage requires a separate license.

---

## Contact
For questions or support, reach out to: 

📧 Email: ali.norouzifar@pads.rwth-aachen.de


📌 GitHub Issues: https://github.com/aliNorouzifar/prolysis/issues